Subject: Re: OSPF to AODV bridging was Re: [manet] RE: Gateway Advertisements

From: Anders Nilsson <[email-masked]>
Date: Wed, 14 Aug 2002 12:19:53 +0200

Hello Phil,

Sorry for taking up this thread again, but I have been away for a few weeks.

>Until it is possible to fix the ICMP TTL=1 we could interpret as "-1" and 
>increment the TTL when a MANET node.  This would be a short term hack
>until the MIP extension of ICMP Router Discovery allows a > 1 TTL value.
>
That is what we did in our simulations too. However,  we had some 
problems with forwarding the messages because they are reflooded. What I 
mean is that the every unsolicitated message is being reflooded, as long 
as allowed by TTL.  This means that for TTLs with size 3 or above the 
same message will be reflooded by the same node. This is a well known 
problem and is solved in AODV by using RREQ IDs (formerly BCAST IDs). In 
a dense network this is a serious problem and with a higher TTL result 
in heavy congestion. This is not addressed in RFC 1256 because it
wasn't intended to be used in a multihop environment.

>
>I don't see any other way to solicit a router or an agent over multiple hops
>with the ICMP mechanism (NOTE:  the floods can be avoided by allowing
>for Router/Agent discovery proxies to respond within some timeout period).
>
I am not sure what you mean here. Do you mean all manet nodes to be 
proxies for the Internet Gateway?

regards,
Anders N

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet

---

From: Anders Nilsson <[email-masked]>
Date: Wed, 14 Aug 2002 12:19:53 +0200

Hello Phil,

regards,
Anders N